<!DOCTYPE html>
<html>
    <head> 
        <title>Activity 1</title>
    </head>

    <body>
        <p><i>Science and Engineering Ethics (2001) 7,231-238</i></p>
        <hr>

        <h1>Software Engineering Code of Ethics and Professional Practice</h1>
        <h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>
        <hr>

        <p><b>Keywords: </b>code of ethics, professional responsibility, software engineering</p>

        <p><b>PREAMBLE</b></p>
        <p>
            The short version of the code summarizes aspirations at a high level of abstraction. 
            The clauses that are included in the full version give examples and details of how these 
            aspirations change the way we act as software engineering professionals. Without the 
            aspirations, the details can become legalistic and tedious; without the details, the 
            aspirations can become high-sounding but empty; together, the aspirations and the details 
            form a cohesive code.
        </p>
        <p>
            Software engineers shall commit themselves to making the analyis, specification, design, 
            development, testing, and maintenance of software a beneficial and respected profession. 
            In accordance with their commitment to the health, safety, and welfare of the public, 
            software engineers shall adhere to the following eight Principles:
        </p>

        <p><b>PRINCIPLES</b></p>
        <ol>
            <li><i>Public. </i>
                Software engineers shall act consistently with the public interest.</li>

            <li><i>Client and employer. </i>
                Software engineers shall act in a manner that is in the best interests of their 
                clients and employer, consistent with the public interest.</li>

            <li><i>Product. </i>
                Software engineers shall ensure that their products and related 
                modifications meet the highest progessional standards possible.</li>

            <li><i>Judgement. </i>
                Software engineers shall maintain integrity and independence in
                their professional judgement.</li>

            <li><i>Management. </i>
                Software engineering managers and leaders shall subscribe to 
                and promote an ethical approach to the management of software development and 
                maintenance.</li>

            <li><i>Profession. </i>
                Software engineers shall advance the integrity and reputation of the profession 
                consistent with the public interest.</li>

            <li><i>Colleagues. </i>
                Software engineers shall be fair to and supportive of their colleagues.</li>

            <li><i>Self. </i>
                Software engineers shall participate in lifelong learning regarding the practice 
                of their profession and shall promote an ethical approach to the practice of the 
                profession.</li>
        </ol>
    </body>
</html>